Name:          gspiceui
Version:       0.9.97
Release:       1%{?dist}
Summary:       A GUI to freely available Spice Electronic circuit similators

Group:         Applications/Engineering
License:       GPLv2+
URL:           http://sourceforge.net/projects/gspiceui
Source0:       http://downloads.sourceforge.net/%{name}/%{name}-v%{version}.tar.gz
Source1:       %{name}.desktop
Source2:       %{name}-opamp-3.sym
Source3:       %{name}-32x32.xpm

BuildRoot:     %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires: wxGTK-devel desktop-file-utils
Requires:      ngspice geda-gnetlist geda-gschem geda-symbols
Requires:      gwave electronics-menu

ExcludeArch:   ppc64

%description
GspiceUI is listed among the Fedora Electronic Lab (FEL) packages.

GNU Spice GUI is intended to provide a GUI to freely available
Spice electronic cicuit simulators eg.GnuCAP, Ng-Spice.
It uses gNetList to convert schematic files to net list files
and gWave to display simulation results.
gSchem is used as the schematic generation/viewing tool.

%prep
%setup -q -n %{name}-v%{version}

#wrong-file-end-of-line-encoding
sed -i 's/\r//' lib/*/*.mod

#spurious-executable-perm
chmod 0644 lib/*/*.mod
chmod 0644 sch/*/*.sch

sed -i "s|/share/gspiceui/html/gSpiceUI.html|/share/doc/%{name}-%{version}/gSpiceUI.html|g" src/main/HelpTasks.cpp


%build
%{__make} %{?_smp_mflags} CC="%{__cxx} $RPM_OPT_FLAGS" GSPICEUI_DBG=0 GSPICEUI_WXLIB=2.8


%install
rm -rf %{buildroot}

install -d %{buildroot}%{_bindir}
install -pm 755 bin/%{name} %{buildroot}%{_bindir}/%{name}

install -d %{buildroot}%{_mandir}/man1/
install -pm 644 %{name}.1 %{buildroot}%{_mandir}/man1/%{name}.1

#Upstream Sources is missing opamp-3.sym
install -d %{buildroot}%{_datadir}/gEDA/sym/misc
install -pm 0644 %{SOURCE2} %{buildroot}%{_datadir}/gEDA/sym/misc/opamp-3.sym

#Add/Manage desktop file
install -d %{buildroot}%{_datadir}/icons/hicolor/32x32/apps
install -d %{buildroot}%{_datadir}/icons/hicolor/48x48/apps
install -pm 0644 %{SOURCE3} \
    %{buildroot}%{_datadir}/icons/hicolor/32x32/apps/%{name}.xpm
install -pm 0644 src/icons/%{name}-48x48.xpm \
    %{buildroot}%{_datadir}/icons/hicolor/48x48/apps/%{name}.xpm

desktop-file-install --vendor "" \
    --dir %{buildroot}%{_datadir}/applications \
    %{SOURCE1}

rm -f sch/Makefile lib/Makefile


%clean
rm -rf %{buildroot}


%post
touch --no-create %{_datadir}/icons/hicolor || :
%{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :

%postun
touch --no-create %{_datadir}/icons/hicolor || :
%{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :



%files
%defattr(-,root,root,-)
%doc Authors License ReadMe ChangeLog ToDo
%doc sch/ lib/ html/gSpiceUI.html
%{_bindir}/%{name}
%{_datadir}/icons/hicolor/??x??/apps/*.xpm
%{_datadir}/applications/%{name}.desktop
%{_mandir}/man1/%{name}.1.gz
%{_datadir}/gEDA/sym/misc/opamp-3.sym


%changelog
* Mon Sep 14 2009 Chitlesh Goorah <chitlesh [AT] fedoraproject DOT com> - 0.9.97-1
- New upstream release
- Added missing opamp-3.sym and corrected menu icon

* Thu Sep 03 2009 Chitlesh Goorah <chitlesh [AT] fedoraproject DOT com> - 0.9.65-6
- Fixes RHBZ #512076 - Build with wxGTK-devel not compat-wxGTK26-devel
- Added documentations: schematics and spice models

* Fri Jul 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.9.65-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Tue Feb 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.9.65-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Thu Jul 31 2008 Xavier Lamien <lxtnow[at]gmail.com> - 0.9.65-3
- Excluded ppc64 (gwave is not available on ppc64).

* Sat Jul 26 2008 Xavier Lamien <lxtnow[at]gmail.com> - 0.9.65-2
- Fix typo on desktop-file-install.

* Mon Jul 14 2008 Xavier Lamien <lxtnow[at]gmail.com> - 0.9.65-1
- Update release.

* Mon Dec 31 2007 Xavier Lamien < lxtnow[at]gmail.com > - 0.9.55-2
- Fixed typo in Requires.
- Improved %%description and desktop file.
- Fixed WxGTK config use.

* Sun Dec 30 2007 Xavier Lamien < lxtnow[at]gmail.com > - 0.9.55-1
- Updated Release.
- Built against WxGTK-2.6 libs.

* Tue Jul 04 2007 Xavier Lamien < lxtnow[at]gmail.com > - 0.8.90-2
- Enabled the fix that make it honor RPM_OPT_FLAGS.

* Wed Jul 04 2007 Xavier Lamien < lnxtnow[at]gmail.com > - 0.8.90-1
- Initial RPM Release.
